## golang-github-mendersoftware-mender-artifact 2.4.0

=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (2.4.0-3) unstable; urgency=medium

  * Add dependency on e2fsprogs for debugfs

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Jan 2019 10:27:23 +0100

golang-github-mendersoftware-mender-artifact (2.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Jan 2019 13:41:20 +0100

golang-github-mendersoftware-mender-artifact (2.4.0-1) experimental; urgency=medium

  * debian/watch: update regexp to know b means beta
  * New upstream version 2.4.0

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 15 Dec 2018 15:43:57 +0100

golang-github-mendersoftware-mender-artifact (2.3.0b1+git20181022.1bedfca-1) experimental; urgency=medium

  * Initial release (Closes: #914118)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Nov 2018 18:03:36 +0100
