=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE := 1
export DH_GOLANG_INSTALL_EXTRA := cli/mender-artifact/mender_test.img \
	cli/mender-artifact/mender_test.sdimg \
	cli/mender-artifact/mender_test.img.broken \
	cli/mender-artifact/mender_test_fat.sdimg
export DH_GOLANG_EXCLUDES := github.com/mendersoftware/mender-artifact$
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	# hmm... seems to be created by cli/mender-artifact/copy_test.go
	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/-
	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/foo
	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/foo.txt
	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/output.txt
