## golang-github-mendersoftware-mender-artifact 3.0.0

=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.0.0-2) unstable; urgency=medium

  * Remove new dummy files created by unit tests
  * Add Lluis in debian/control Uploaders list

 -- Lluis Campos <lluis.campos@northern.tech>  Wed, 22 May 2019 13:24:11 +0200

golang-github-mendersoftware-mender-artifact (3.0.0-1) experimental; urgency=medium

  * New upstream version 3.0.0
  * Drop debian/patches/*, now fixed upstream
  * Add patch to switch to remyoudompheng go-liblzma
  * Add new golang-github-remyoudompheng-go-liblzma-dev build-dep
  * Bump years in debian/copyright

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 May 2019 13:00:32 +0200

golang-github-mendersoftware-mender-artifact (2.4.0-6) unstable; urgency=medium

  * Extend full-path patch to also cover /sbin/blkid

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Feb 2019 09:25:16 +0100

golang-github-mendersoftware-mender-artifact (2.4.0-5) unstable; urgency=medium

  * Extend full-path patch to also cover /sbin/parted

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Feb 2019 15:04:09 +0100

golang-github-mendersoftware-mender-artifact (2.4.0-4) unstable; urgency=medium

  * Fix 'mender-artifact -version' output
  * Add missing Built-Using field to binary package
  * Add 0001-Use-full-path-for-tools-found-in-sbin.patch

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Jan 2019 22:25:45 +0100
