=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 #export DH_VERBOSE := 1
 export DH_GOLANG_INSTALL_EXTRA := cli/mender-artifact/mender_test.img \
@@ -10,11 +12,21 @@
 
 %:
 	dh $@ --buildsystem=golang --with=golang
+	
+override_dh_auto_build:
+	dh_auto_build -O--buildsystem=golang -- \
+		-ldflags "-X main.Version=$(DEB_VERSION)"
 
 override_dh_auto_install:
 	dh_auto_install
-	# hmm... seems to be created by cli/mender-artifact/copy_test.go
+	# Test files created by cli/mender-artifact/copy_test.go
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/-
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/foo
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/foo.txt
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/output.txt
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/test.txt
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/dummy-file
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/mender_test_fat.sdimg
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/mender_test.img
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/mender_test.sdimg
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/mender_test.img.broken
