## golang-github-mendersoftware-mender-artifact 3.0.0+really2.4.0

=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.0.0+really2.4.0-1) unstable; urgency=medium

  * Team upload.
  * Revert all changes between 2.4.0-6 and 3.0.0-2.
    See https://bugs.debian.org/928227 for a rationale.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 08 Jun 2019 23:08:00 +0200
