=== debian/control ===
--- 
+++ 
@@ -67,6 +67,7 @@
 
 Package: mender-artifact
 Architecture: any
+Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends}, ${shlibs:Depends}, e2fsprogs, parted, mtools
 Description: utility to generate .mender artifacts
  Mender Artifacts Library Mender is an open source over-the-air (OTA)
