=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.0.1-2) unstable; urgency=medium

  * Cherry-pick upstream commit "Look for fsck.ext4 via GetBinaryPath"
  * Add patch to adjust cherry-picked path to current API
  * Don't remove mender_test images, needed by autopkgtests

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Jul 2019 16:32:38 +0200

golang-github-mendersoftware-mender-artifact (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Revert "Revert all Debian changes"
    - this brings back changes made in 3.0.0-* that was dropped in
      3.0.0+really2.4.0-1

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 09 Jul 2019 17:49:18 +0200
