## golang-github-mendersoftware-mender-artifact 3.2.0

=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Drop patch 0001-Do-not-close-the-pipe-in-TestCopyFromStdin-twice.patch

 -- Lluis Campos <lluis.campos@northern.tech>  Thu, 24 Oct 2019 14:31:23 +0200

golang-github-mendersoftware-mender-artifact (3.1.0-2) unstable; urgency=medium

  * Add debian/patches/0002-unfsck-TestDebugfs-caught-by-autopkgtests.patch
    - this should fix autopkgtests
  * Fix up syntax of previous changelog finishing last line.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Sep 2019 13:27:14 +0200

golang-github-mendersoftware-mender-artifact (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Drop old patches, all changes merged now upstream
  * Add patch to fix issue in unit tests

 -- Lluis Campos <lluis.campos@northern.tech>  Wed, 18 Sep 2019 14:46:47 +0200
