=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

 -- Lluis Campos <lluis.campos@northern.tech>  Tue, 10 Dec 2019 15:03:23 +0100
