=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
 Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
@@ -11,6 +11,7 @@
                golang-github-urfave-cli-dev,
                golang-logrus-dev,
                golang-github-mendersoftware-mendertesting-dev,
+               golang-github-remyoudompheng-go-liblzma-dev,
                e2fsprogs <!nocheck>,
                parted <!nocheck>,
                mtools <!nocheck>
@@ -25,6 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-github-pkg-errors-dev,
+         golang-github-remyoudompheng-go-liblzma-dev,
          golang-github-stretchr-testify-dev,
          golang-github-urfave-cli-dev,
          golang-logrus-dev,
