=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	# hmm... seems to be created by cli/mender-artifact/copy_test.go
+	# Test files created by cli/mender-artifact/copy_test.go
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/-
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/foo
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/foo.txt
 	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/output.txt
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/test.txt
+	rm -f debian/*/usr/share/gocode/src/github.com/mendersoftware/mender-artifact/cli/mender-artifact/dummy-file
