## golang-github-mendersoftware-mender-artifact 3.3.0

=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.3.0-1) unstable; urgency=medium

  * Breaks against older mender-client using NewRootfsV1 API (Closes: #947135)
  * New upstream version 3.3.0
  * Refresh TestDebugfs patch to apply again
  * Add dosfstools to (build-)dependencies
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 Mar 2020 22:37:26 +0100
