=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
@@ -12,6 +12,7 @@
                golang-logrus-dev,
                golang-github-mendersoftware-mendertesting-dev,
                golang-github-remyoudompheng-go-liblzma-dev,
+               dosfstools <!nocheck>,
                e2fsprogs <!nocheck>,
                parted <!nocheck>,
                mtools <!nocheck>
@@ -31,6 +32,7 @@
          golang-github-urfave-cli-dev,
          golang-logrus-dev,
          golang-github-mendersoftware-mendertesting-dev
+Breaks: mender-client (<< 2.1.2-2~)
 Description: Library for managing Mender artifact files
  Mender Artifacts Library Mender is an open source over-the-air (OTA)
  software updater for embedded Linux devices. Mender comprises a client
@@ -70,7 +72,7 @@
 Package: mender-artifact
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${misc:Depends}, ${shlibs:Depends}, e2fsprogs, parted, mtools
+Depends: ${misc:Depends}, ${shlibs:Depends}, dosfstools, e2fsprogs, parted, mtools
 Description: utility to generate .mender artifacts
  Mender Artifacts Library Mender is an open source over-the-air (OTA)
  software updater for embedded Linux devices. Mender comprises a client
