=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.4.0-1build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:12:47 +0000

golang-github-mendersoftware-mender-artifact (3.4.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump version of Breaks: mender-client

  [ Lluis Campos ]
  * Add debian/patches/0001-Skip-TestLicense-for-Debian-Unit-Test-suite.patch
  * Remove dependency golang-github-mendersoftware-mendertesting-dev

  [ Andreas Henriksson ]
  * New upstream version 3.4.0
  * Update Skip TestLicense patch to apply again
  * Add new (build-)deps: klauspost/pgzip and minio/sha256-simd

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 27 Jul 2020 13:36:06 +0200
