=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-mendersoftware-mender-artifact
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
@@ -10,7 +11,8 @@
                golang-github-stretchr-testify-dev,
                golang-github-urfave-cli-dev,
                golang-logrus-dev,
-               golang-github-mendersoftware-mendertesting-dev,
+               golang-github-klauspost-pgzip-dev,
+               golang-github-minio-sha256-simd-dev,
                golang-github-remyoudompheng-go-liblzma-dev,
                dosfstools <!nocheck>,
                e2fsprogs <!nocheck>,
@@ -27,12 +29,13 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-github-pkg-errors-dev,
+         golang-github-klauspost-pgzip-dev,
+         golang-github-minio-sha256-simd-dev,
          golang-github-remyoudompheng-go-liblzma-dev,
          golang-github-stretchr-testify-dev,
          golang-github-urfave-cli-dev,
          golang-logrus-dev,
-         golang-github-mendersoftware-mendertesting-dev
-Breaks: mender-client (<< 2.1.2-2~)
+Breaks: mender-client (<< 2.2.0-2~)
 Description: Library for managing Mender artifact files
  Mender Artifacts Library Mender is an open source over-the-air (OTA)
  software updater for embedded Linux devices. Mender comprises a client
