## golang-github-mendersoftware-mender-artifact 3.6.0%2Bds1

=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.6.0+ds1-2) unstable; urgency=medium

  * Add patch for urfave-cli 1.22.[45] compatibility.
    Thanks to Shengjing Zhu for the patch.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jan 2022 20:34:51 +0100

golang-github-mendersoftware-mender-artifact (3.6.0+ds1-1) experimental; urgency=medium

  * debian/watch: Use dversionmangle to append +ds1 suffix
  * New upstream release.
  * Add mender/progressbar build-dep
  * Drop d/p/0001-Skip-TestLicense-for-Debian-Unit-Test-suite.patch
    - Tests removed upstream.
  * Drop d/p/0002-unfsck-TestDebugfs-caught-by-autopkgtests.patch
    - Fixed upstream.
  * Update path to test files that where moved upstream
  * Add d/p/0001-Revert-cli-write_test-to-urfave-cli-1.22.5-compatibi.patch
  * Update to new method to pass -v (version) info to build
  * Use defaults for DH_GOLANG_EXCLUDES(_ALL) in debian/rules
  * Drop no longer needed cruft removal after install

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Aug 2021 11:46:50 +0200
