## golang-github-mendersoftware-mender-artifact 3.6.0+ds1

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,6 @@
 V ?=
 PKGS = $(shell go list ./... | grep -v vendor)
 SUBPKGS = $(shell go list ./... | sed '1d' | tr '\n' ',' | sed 's/,$$//1')
-BUILDFILES = $(shell find cli/mender-artifact -maxdepth 1 \( -path ./vendor -o -path ./Godeps \) -prune \
-	                     -o -type f -name '*.go' -print |  tr ' ' '\n' | grep -v _test.go)
 PKGNAME = mender-artifact
 PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
 		-o -type f -name '*.go' -print)
@@ -14,17 +12,15 @@
 CGO_ENABLED=1
 export CGO_ENABLED
 
-INSTALL_DIR=cli/mender-artifact
-
 TOOLS = \
-	github.com/fzipp/gocyclo \
+	github.com/fzipp/gocyclo/... \
 	github.com/opennota/check/cmd/varcheck \
 	github.com/mendersoftware/deadcode
 
 VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)
 
 GO_LDFLAGS = \
-	-ldflags "-X main.Version=$(VERSION)"
+	-ldflags "-X github.com/mendersoftware/mender-artifact/cli.Version=$(VERSION)"
 
 ifeq ($(V),1)
 BUILDV = -v
@@ -40,23 +36,23 @@
 endif
 
 build:
-	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) -o $(PKGNAME) $(BUILDFILES)
+	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
 
 PLATFORMS := darwin linux windows
 
-GO_LDFLAGS_WIN = -ldflags "-X main.Version=$(VERSION) -linkmode=internal -s -w -extldflags '-static' -extld=x86_64-w64-mingw32-gcc"
+GO_LDFLAGS_WIN = -ldflags "-X github.com/mendersoftware/mender-artifact/cli.Version=$(VERSION) -linkmode=internal -s -w -extldflags '-static' -extld=x86_64-w64-mingw32-gcc"
 
 build-natives:
 	@arch="amd64";
 	@echo "building mac";
 	@env GOOS=darwin GOARCH=$$arch CGO_ENABLED=0 \
-		$(GO) build -a $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) -o $(PKGNAME)-darwin $(BUILDFILES) ;
+		$(GO) build -a $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) -o $(PKGNAME)-darwin ;
 	@echo "building linux";
 	@env GOOS=linux GOARCH=$$arch \
-		$(GO) build -a $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) -o $(PKGNAME)-linux $(BUILDFILES) ;
+		$(GO) build -a $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) -o $(PKGNAME)-linux ;
 	@echo "building windows";
 	@env GOOS=windows GOARCH=$$arch CC=x86_64-w64-mingw32-gcc CXX=x86_64-w64-mingw32-g++ \
-		$(GO) build $(GO_LDFLAGS_WIN) $(BUILDV) -tags $(TAGS) nolzma -o $(PKGNAME)-windows.exe $(BUILDFILES) ;
+		$(GO) build $(GO_LDFLAGS_WIN) $(BUILDV) -tags $(TAGS) nolzma -o $(PKGNAME)-windows.exe ;
 
 build-contained:
 	rm -f mender-artifact && \
@@ -71,7 +67,18 @@
 	docker image rm $$image_id
 
 install:
-	cd $(INSTALL_DIR) && $(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
+	@$(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
+
+install-autocomplete-scripts:
+	@echo "Installing Bash auto-complete script into ${DESTDIR}${PREFIX}/etc/bash_completion.d/"
+	@install -d ${DESTDIR}$(PREFIX)/etc/bash_completion.d/
+	@install -m 644 ./autocomplete/bash_autocomplete $(DESTDIR)$(PREFIX)/etc/bash_completion.d/mender-artifact
+	@if which zsh >/dev/null 2>&1 ; then \
+	echo "Installing zsh auto-complete script into ${DESTDIR}${PREFIX}/usr/local/share/zsh/site-functions/" \
+	install -d $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/ && \
+	install -m 644 ./autocomplete/zsh_autocomplete $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/_mender-artifact \
+	; fi
+
 
 clean:
 	$(GO) clean
@@ -83,6 +90,7 @@
 		echo "-- go getting $$t"; \
 		go get -u $$t; \
 	done
+	go mod vendor
 
 check: test extracheck
 
@@ -95,13 +103,13 @@
 
 extracheck:
 	echo "-- checking if code is gofmt'ed"
-	if [ -n "$$($(GOFMT) -d $(PKGFILES))" ]; then \
+	@if [ -n "$$($(GOFMT) -d $(PKGFILES))" ]; then \
+		"$$($(GOFMT) -d $(PKGFILES))" \
 		echo "-- gofmt check failed"; \
-		echo $GOFMT -d $PKGFILES \
 		/bin/false; \
 	fi
 	echo "-- checking with govet"
-	$(GO) tool vet -unsafeptr=false $(PKGFILES_notest)
+	$(GO) vet -unsafeptr=false
 	echo "-- checking for dead code"
 	deadcode
 	echo "-- checking with varcheck"
