=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-mendersoftware-mender-artifact
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
@@ -12,6 +11,7 @@
                golang-github-urfave-cli-dev,
                golang-logrus-dev,
                golang-github-klauspost-pgzip-dev,
+               golang-github-mendersoftware-progressbar-dev (>= 0.0.3),
                golang-github-minio-sha256-simd-dev,
                golang-github-remyoudompheng-go-liblzma-dev,
                dosfstools <!nocheck>,
