=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE := 1
export DH_GOLANG_INSTALL_EXTRA := cli/mender_test.img \
	cli/mender_test.sdimg \
	cli/mender_test.img.broken \
	cli/mender_test_fat.sdimg

%:
	dh $@ --buildsystem=golang --with=golang
	
override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- \
		-ldflags "-X github.com/mendersoftware/mender-artifact/cli.Version=$(DEB_VERSION)"
