## golang-github-mendersoftware-mender-artifact 3.9.0+ds1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 GO ?= go
 GOFMT ?= gofmt
 V ?=
+PREFIX ?= /usr/local
 PKGS = $(shell go list ./... | grep -v vendor)
 SUBPKGS = $(shell go list ./... | sed '1d' | tr '\n' ',' | sed 's/,$$//1')
 PKGNAME = mender-artifact
@@ -15,7 +16,8 @@
 TOOLS = \
 	github.com/fzipp/gocyclo/... \
 	github.com/opennota/check/cmd/varcheck \
-	github.com/mendersoftware/deadcode
+	github.com/mendersoftware/deadcode \
+	github.com/mendersoftware/gobinarycoverage
 
 VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)
 
@@ -56,13 +58,13 @@
 
 build-contained:
 	rm -f mender-artifact && \
-	image_id=$$(docker build -f Dockerfile . | awk '/Successfully built/{print $$NF;}') && \
+	image_id=$$(docker build -f Dockerfile -q .) && \
 	docker run --rm --entrypoint "/bin/sh" -v $(shell pwd):/binary $$image_id -c "cp /go/bin/mender-artifact /binary" && \
 	docker image rm $$image_id
 
 build-natives-contained:
-	rm -f mender-artifact && \
-	image_id=$$(docker build -f Dockerfile.binaries . | awk '/Successfully built/{print $$NF;}') && \
+	rm -f mender-artifact-darwin mender-artifact-linux mender-artifact-windows.exe && \
+	image_id=$$(docker build -f Dockerfile.binaries -q .) && \
 	docker run --rm --entrypoint "/bin/sh" -v $(shell pwd):/binary $$image_id -c "cp /go/bin/mender-artifact* /binary" && \
 	docker image rm $$image_id
 
@@ -70,13 +72,11 @@
 	@$(GO) install $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
 
 install-autocomplete-scripts:
-	@echo "Installing Bash auto-complete script into ${DESTDIR}${PREFIX}/etc/bash_completion.d/"
-	@install -d ${DESTDIR}$(PREFIX)/etc/bash_completion.d/
-	@install -m 644 ./autocomplete/bash_autocomplete $(DESTDIR)$(PREFIX)/etc/bash_completion.d/mender-artifact
+	@echo "Installing Bash auto-complete script into $(DESTDIR)/etc/bash_completion.d/"
+	@install -Dm0644 ./autocomplete/bash_autocomplete $(DESTDIR)/etc/bash_completion.d/mender-artifact
 	@if which zsh >/dev/null 2>&1 ; then \
-	echo "Installing zsh auto-complete script into ${DESTDIR}${PREFIX}/usr/local/share/zsh/site-functions/" \
-	install -d $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/ && \
-	install -m 644 ./autocomplete/zsh_autocomplete $(DESTDIR)$(PREFIX)/usr/local/share/zsh/site-functions/_mender-artifact \
+		echo "Installing zsh auto-complete script into $(DESTDIR)$(PREFIX)/share/zsh/site-functions/" && \
+		install -Dm0644 ./autocomplete/zsh_autocomplete $(DESTDIR)$(PREFIX)/share/zsh/site-functions/_mender-artifact \
 	; fi
 
 
@@ -123,6 +123,10 @@
 htmlcover: coverage
 	$(GO) tool cover -html=coverage.txt
 
+instrument-binary:
+	git apply patches/0001-Instrument-with-coverage.patch
+	gobinarycoverage github.com/mendersoftware/mender-artifact
+
 coverage:
 	rm -f coverage.txt
 	echo 'mode: set' > coverage.txt
@@ -136,4 +140,5 @@
 	rm -f coverage-tmp.txt
 
 .PHONY: build clean get-tools test check \
-	cover htmlcover coverage tooldep
+	cover htmlcover coverage tooldep install-autocomplete-scripts \
+	instrument-binary
