=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (3.9.0+ds1-1) unstable; urgency=medium

  * New upstream version 3.9.0+ds1
  * Update vault signer removal patch
  * Add new build-dep golang-github-mendersoftware-openssl-dev
  * Bump mender-client Breaks because of API breakage
  * Build-dep on bugfixed mendersoftware-openssl package

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 14 Oct 2022 14:41:28 +0200

golang-github-mendersoftware-mender-artifact (3.8.0+ds1-1.1) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 10 Oct 2022 17:57:26 +0200

golang-github-mendersoftware-mender-artifact (3.8.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Fix paths in gcp signer patch
  * Add debian/patches/0004-Remove-vault-signer.patch
  * Bump debhelper from old 12 to 13.
  * Add sparse sdimg to DH_GOLANG_INSTALL_EXTRA

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 10 Jun 2022 23:45:13 +0200

golang-github-mendersoftware-mender-artifact (3.7.0+ds1-1) experimental; urgency=medium

  * debian/watch: uversionmangle -build suffixes from upstream tags
  * New upstream version 3.7.0+ds1
  * Add build-deps needed by new gcp signer
    - golang-google-genproto-dev
    - golang-github-googleapis-gax-go-dev
    - golang-google-cloud-dev
    - golang-google-protobuf-dev
  * Add debian/patches/old-go-genproto.patch
    - cripple (crc checking in) GCP signer to build with older go-genproto
    - Once experimental golang-google-genproto-dev is in unstable, this
      should be dropped again. (Closes: #1004023)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2022 10:58:25 +0100
