=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Lluis Campos <lluis.campos@northern.tech>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev,
@@ -12,8 +12,13 @@
                golang-logrus-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mendersoftware-progressbar-dev (>= 0.0.3),
+               golang-github-mendersoftware-openssl-dev (>= 1.1.0-4~),
                golang-github-minio-sha256-simd-dev,
                golang-github-remyoudompheng-go-liblzma-dev,
+               golang-google-genproto-dev,
+               golang-github-googleapis-gax-go-dev,
+               golang-google-cloud-dev,
+               golang-google-protobuf-dev,
                dosfstools <!nocheck>,
                e2fsprogs <!nocheck>,
                parted <!nocheck>,
@@ -35,7 +40,7 @@
          golang-github-stretchr-testify-dev,
          golang-github-urfave-cli-dev,
          golang-logrus-dev,
-Breaks: mender-client (<< 2.2.0-2~)
+Breaks: mender-client (<< 3.4.0)
 Description: Library for managing Mender artifact files
  Mender Artifacts Library Mender is an open source over-the-air (OTA)
  software updater for embedded Linux devices. Mender comprises a client
