=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE := 1
 export DH_GOLANG_INSTALL_EXTRA := cli/mender_test.img \
 	cli/mender_test.sdimg \
+	cli/mender_test.sparse.sdimg \
 	cli/mender_test.img.broken \
 	cli/mender_test_fat.sdimg
