## golang-github-mendersoftware-mender-artifact 4.1.0+ds1

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,15 @@
 GOFMT ?= gofmt
 V ?=
 PREFIX ?= /usr/local
-PKGS = $(shell go list ./... | grep -v vendor)
-SUBPKGS = $(shell go list ./... | sed '1d' | tr '\n' ',' | sed 's/,$$//1')
+PKGS = $(shell go list ./... | tr '\n' ',' | head -c -1)
 PKGNAME = mender-artifact
 PKGFILES = $(shell find . \( -path ./vendor -o -path ./Godeps \) -prune \
 		-o -type f -name '*.go' -print)
 PKGFILES_notest = $(shell echo $(PKGFILES) | tr ' ' '\n' | grep -v _test.go)
 GOCYCLO ?= 20
+
+GOARCH ?= $(shell go env GOARCH)
+GOOS ?= $(shell go env GOOS)
 
 CGO_ENABLED=1
 export CGO_ENABLED
@@ -28,33 +30,40 @@
 BUILDV = -v
 endif
 
-TAGS =
-ifeq ($(LOCAL),1)
-TAGS += local
-endif
-
-ifneq ($(TAGS),)
-BUILDTAGS = -tags '$(TAGS)'
+TAGS ?=
+ifneq ($(GOOS),linux)
+	TAGS += nopkcs11
 endif
 
 build:
-	$(GO) build $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS)
+	$(GO) build $(GO_LDFLAGS) $(BUILDV) -tags '$(TAGS)'
 
 PLATFORMS := darwin linux windows
 
-GO_LDFLAGS_WIN = -ldflags "-X github.com/mendersoftware/mender-artifact/cli.Version=$(VERSION) -linkmode=internal -s -w -extldflags '-static' -extld=x86_64-w64-mingw32-gcc"
+$(PKGNAME)-%:
+	env CGO_ENABLED=$(CGO_ENABLED) \
+		GOARCH=$(GOARCH) \
+		GOOS=$(GOOS) \
+		go build \
+		    -a $(GO_LDFLAGS) $(BUILDV) -tags '$(TAGS)' \
+		    -o $@
 
-build-natives:
-	@arch="amd64";
-	@echo "building mac";
-	@env GOOS=darwin GOARCH=$$arch CGO_ENABLED=0 \
-		$(GO) build -a $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) -o $(PKGNAME)-darwin ;
-	@echo "building linux";
-	@env GOOS=linux GOARCH=$$arch \
-		$(GO) build -a $(GO_LDFLAGS) $(BUILDV) $(BUILDTAGS) -o $(PKGNAME)-linux ;
-	@echo "building windows";
-	@env GOOS=windows GOARCH=$$arch CC=x86_64-w64-mingw32-gcc CXX=x86_64-w64-mingw32-g++ \
-		$(GO) build $(GO_LDFLAGS_WIN) $(BUILDV) -tags $(TAGS) nolzma -o $(PKGNAME)-windows.exe ;
+.nopkcs11:
+	$(warning "WARNING: Building without pkcs11 support")
+
+build-native-linux: $(PKGNAME)-linux
+
+build-native-mac: GOOS = darwin
+build-native-mac: TAGS = nopkcs11
+build-native-mac: CGO_ENABLED = 0
+build-native-mac: .nopkcs11 $(PKGNAME)-darwin
+
+build-native-windows: GOOS = windows
+build-native-windows: TAGS = nopkcs11
+build-native-windows: GO_LDFLAGS = -ldflags "-X github.com/mendersoftware/mender-artifact/cli.Version=44d6905 -linkmode=internal -s -w -extldflags '-static' -extld=x86_64-w64-mingw32-gcc"
+build-native-windows: .nopkcs11 $(PKGNAME)-windows.exe
+
+build-natives: build-native-linux build-native-mac build-native-windows
 
 build-contained:
 	rm -f mender-artifact && \
@@ -92,6 +101,10 @@
 	done
 	go mod vendor
 
+get-build-deps:
+	apt-get update -qq
+	apt-get install -yyq $(shell cat deb-requirements.txt)
+
 check: test extracheck
 
 tooldep:
@@ -123,21 +136,16 @@
 htmlcover: coverage
 	$(GO) tool cover -html=coverage.txt
 
+instrument-binary-contained:
+	docker run --rm --name instrument-binary --entrypoint "/bin/sh" -v $(shell pwd):/go/src/github.com/mendersoftware/mender-artifact golang:1.22 -c "cd /go/src/github.com/mendersoftware/mender-artifact && go install github.com/mendersoftware/gobinarycoverage@latest && make instrument-binary"
+
 instrument-binary:
 	git apply patches/0001-Instrument-with-coverage.patch
 	gobinarycoverage github.com/mendersoftware/mender-artifact
 
 coverage:
 	rm -f coverage.txt
-	echo 'mode: set' > coverage.txt
-	set -e ; for p in $(PKGS); do \
-		rm -f coverage-tmp.txt;  \
-		$(GO) test -coverprofile=coverage-tmp.txt -coverpkg=$(SUBPKGS) $$p ; \
-		if [ -f coverage-tmp.txt ]; then \
-			cat coverage-tmp.txt |grep -v 'mode:' | cat >> coverage.txt; \
-		fi; \
-	done
-	rm -f coverage-tmp.txt
+	go test -tags '$(TAGS)' -covermode=atomic -coverpkg=$(PKGS) -coverprofile=coverage.txt ./...
 
 .PHONY: build clean get-tools test check \
 	cover htmlcover coverage tooldep install-autocomplete-scripts \
