=== debian/changelog ===
golang-github-mendersoftware-mender-artifact (4.1.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Add patches to remove azure signer
  * Unfuzz remove-vault patch
  * Unfuzz revert merge PR 559 patch
  * Add patch for rsa verification error message

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 08 May 2025 13:29:33 +0200

golang-github-mendersoftware-mender-artifact (4.0.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Drop urfave cli patches
  * Build-dep on golang-github-ulikunitz-xz-dev for lzma
  * Update debian/patches/0004-Remove-vault-signer.patch
  * Add patch to revert gcp import changes
  * Remove keyfactor signer

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 05 Jan 2025 17:58:19 +0100
