=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                golang-github-mendersoftware-openssl-dev (>= 1.1.0-4~),
                golang-github-minio-sha256-simd-dev,
                golang-github-remyoudompheng-go-liblzma-dev,
+               golang-github-ulikunitz-xz-dev,
                golang-google-genproto-dev,
                golang-github-googleapis-gax-go-dev,
                golang-google-cloud-dev,
@@ -40,6 +41,7 @@
          golang-github-stretchr-testify-dev,
          golang-github-urfave-cli-dev,
          golang-logrus-dev,
+         golang-github-ulikunitz-xz-dev,
 Breaks: mender-client (<< 3.4.0)
 Description: Library for managing Mender artifact files
  Mender Artifacts Library Mender is an open source over-the-air (OTA)
